function [params] = tsallis_harmonik_params_simple(workdata1,workdata2,alpha)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% VaR regression using kb_err
[solution_str,outargstruc_arr] = Optimization_subroutine_kb_err(workdata2',[ones(size(workdata1,2),1),workdata1'],[],alpha);
[output_structure] = tbpsg_solution_struct(solution_str, outargstruc_arr);
xout_cvar = output_structure.optimal_point_data;

loss = workdata2' - [ones(size(workdata1,2),1),workdata1']*xout_cvar';
tail_los = loss(loss>=10^(-6));

disp(size(loss(loss>=0)));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%% Estimation GPD by ML
estim_cvar = output_structure.function_value(1);
estim_cvar = estim_cvar*size(workdata2,2)/size(tail_los,1); %Re-norming

%{
MLE_GPD=[];
k_table = [0.8:0.001:0.99]; %%%0.51
for j=1:size(k_table,2) 
    k = k_table(j);
    [vector_y] = log(GPD_Tsalis(tail_los,k,estim_cvar))';
    MLE_GPD = [MLE_GPD;vector_y];
end

loc = mean(MLE_GPD');
best_k = k_table(loc == max(loc));
%}
parmhat = gpfit(tail_los);
best_k = 1/(1+parmhat(1));

m1 = mean(tail_los);
m2 = mean(tail_los.^2);
cv = sqrt(m2 - m1^2)/m1;
mle_test = [cv,best_k];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%% Estimation GPD by Harmonic
estim_cvar = mean(tail_los);
estim_log_cvar = mean(log(tail_los));

c_cons_tilda = log(estim_cvar) - estim_log_cvar;

if c_cons_tilda < double(eulergamma)
    key_while = 1;
  else
     key_while = 0;
end

while key_while && length(tail_los)>=5 && c_cons_tilda < double(eulergamma)+0.01
  c_cons_tilda_table=[];
  for i=1:size(tail_los,1)
    tail_los_dropped = tail_los;
    tail_los_dropped(i)=[];
    estim_cvar_new = mean(tail_los_dropped);
    estim_log_cvar_new = mean(log(tail_los_dropped));
    c_cons_tilda_table = [c_cons_tilda_table,log(estim_cvar_new) - estim_log_cvar_new];
  end
  c_cons_tilda_new = max(c_cons_tilda_table);
  if c_cons_tilda_new > c_cons_tilda
      key_while = 1;
      tail_los(find(max(c_cons_tilda_table) == c_cons_tilda_table)) = [];
      c_cons_tilda = c_cons_tilda_new;
  else
      key_while = 0;
  end
end

if length(tail_los)<5  
 disp('Too small data size')
end

fun = @(x)harmonic(x) - log(x) - c_cons_tilda;

%%%%%%%%%%%%%%%%%%
x_val = [0.1:0.1:100];
table_fun = fun(x_val);
loc_pos = find(table_fun<0);
if ~isempty(loc_pos)
    init_pos = loc_pos(1)-1;
else
    init_pos = 2;
end
if init_pos>0
    init_point = x_val(init_pos);
else
    disp('error in positions')
    init_point = 1;
end
%%%%%%%%%%%%%%%%%%
if c_cons_tilda > double(eulergamma)
    x = fzero(fun,init_point);
else
    disp('wrong case')
    x = nan;
end

if isnan(x)
    harmonic_k=0;
else
    harmonic_k = (x+1)/(x+2);
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%% Results
params(1).mua = estim_cvar; %ML
params(2).mua = estim_cvar; %Harmonic

params(1).kappa = best_k; %ML
params(2).kappa = harmonic_k; %Harmonic

params(1).descr = 'ML';
params(2).descr = 'Harmonic';

params(1).mle = mle_test;
params(2).mle = mle_test;










